XNVME_FILE-DUMP-ASYNC-IOVEC(1)

NAME
xnvme_file-dump-async-iovec - Write a buffer of 'data-nbytes' to file --data-output

SYNOPSIS
xnvme_file dump-async-iovec <data-output> [<args>]

DESCRIPTION
Write a buffer of 'data-nbytes' to file --data-output

REQUIRED

<data-output>
    Path to data output-file

--data-nbytes NUM
    Data size in bytes

OPTIONAL

[ --iosize NUM ]
    Use given 'NUM' as bs/iosize

[ --qdepth NUM ]
    Use given 'NUM' as queue max capacity

[ --direct ]
    Bypass layers

[ --async STRING ]
    xNVMe async. command-interface, e.g. 'io_uring', 'emu'

[ --be STRING ]
    xNVMe backend, e.g. 'linux', 'spdk', 'fbsd', 'macos', 'posix', 'windows'

[ --vec-cnt NUM ]
    Number of elements in vectors when doing vectored IOs

[ --help ]
    Show usage / help

SEE ALSO
Full documentation at: <https://xnvme.io/>

AUTHOR
Written by Simon A. F. Lund <simon.lund@samsung.com> on behalf of Samsung